# -*- coding: utf-8 -*-
from velamentum.android import *

class Zwischenablage(object):
    """Die Klasse dient dem Zugriff auf die Zwischenablage des Systems.
    
    Attribute:
        text (Zeichenkette): Der Text in der Zwischenablage des Systems.
    """

    def __init__(self):
        """Konstruktor. Initialisiert die Zwischenablage.
        
        Parameter:
            --- keine ---
        """
        pass

    @staticmethod
    def nenneText(self):
        """Anfrage. Gibt den Text aus der Zwischenablage zurück.
        
        Parameter 
            --- keine ---
            
        Rückgabe (Zeichenkette): Der Inhalt der Zwischenablage.
        """
        return androide.getClipboard()

    @staticmethod
    def setzeText(self, pText):
        """Auftrag. Schreibt den Text in die Zwischenablage.
        
        Parameter 
            pText (Zeichenkette): Der Text, der in die Zwischenablage 
                geschrieben werden soll.
        """
        androide.setClipboard(pText)
        
    # Attribute (verdeckte Getter und Setter)
    text = property (nenneText, setzeText, doc="Der Text in der" \
        "Zwischenablage des Systems.")

